Loading...
Searching...
No Matches
math.hpp File Reference

Provides math related functionality. More...

`#include <bit>`
`#include <cassert>`
`#include <cmath>`
`#include <concepts>`
`#include <stdexcept>`
`#include <string>`
`#include <seqan3/core/platform.hpp>`
Include dependency graph for math.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Functions

template<typename base_t, std::unsigned_integral exp_t> requires (std::same_as<base_t, uint64_t> || std::same_as<base_t, int64_t>)
base_t | seqan3::pow (base_t base, exp_t exp)
| Computes the value of base raised to the power exp.

## Detailed Description

Provides math related functionality.

Author
  Enrico Seiler <enrico.seiler AT fu-berlin.de>

Hide me